Skip to main content
GET
/
api
/
v1
/
collections
/
list
List collections
curl --request GET \
  --url https://app.aigmented.com/api/v1/collections/list \
  --header 'Authorization: Bearer <token>'
{
  "message": "List of collections",
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "status": "<string>",
      "publish_disabled": true,
      "uploaded_at": "2023-11-07T05:31:56Z",
      "user": {
        "id": "<string>",
        "email": "<string>",
        "name": "<string>"
      },
      "_count": {
        "knowledgeCards": 123,
        "fileInstances": 123,
        "chats": 123
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass your API key as a Bearer token. Example: Authorization: Bearer sk-xxxxxxxxxxxx

Response

List of collections

message
string
Example:

"List of collections"

data
object[]